package com.doverfuelingsolutions.testdemo

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import androidx.lifecycle.lifecycleScope
import com.doverfuelingsolutions.testdemo.driver.lib.PrintManager

class MainActivity : AppCompatActivity() {

    private lateinit var btn_print_test:Button
    private val printManager = PrintManager()
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        initView()
    }

    private fun initView() {
        btn_print_test = findViewById(R.id.btn_print_test)
        btn_print_test.setOnClickListener {
            lifecycleScope.launchWhenStarted {
                printManager.printQRTest()
            }
        }
    }
}